1. Non Secure Payment
Sipay API Documentation
  • Overview
    • Getting Started
    • Status Codes
    • PreAuthorization / Authorization
    • Webhook
  • Authentication
    • Generating Token
      POST
  • Installments
    • Getting Installment Information
      POST
    • Installments
      POST
  • Commissions
    • Commission
      POST
  • Non Secure Payment
    • Non-Secure Payment Flow
    • Non-Secure Credit Card Payment
      POST
    • Non-Secure Recurring Payment
      POST
    • Non-Secure Insurance Payment
      POST
    • Non-Secure PreAuthorization Payment
      POST
  • 3D Secure Payment
    • 3D Secure Payment Flow
    • 3D Secure Credit Card Payment
      POST
    • 3D Secure Recurring Payment
      POST
    • 3D Secure PreAuthorization Payment
      POST
    • 3D Secure PreAuthorization Payment APP
      POST
    • 3D Secure Agriculture Payment
      POST
  • Payment
    • CheckStatus
      POST
    • ConfirmPayment
      POST
    • CompletePayment
      POST
    • Non-Secure and 3D Payment with Sipay
      POST
    • Refund
      POST
  • Cards
    • Card Registration
    • Pay by Card Token
    • Retrieving Saved Card
    • Edit Saved Card
    • Delete Saved Card
    • NonSecure Payment with Hidden Card
  • HASH
    • Hash Information
  • Recurring
    • Recurring Query Search
    • Recurring Plan Process
    • Recurring Plan Update
  • Cashout
    • Cashout to bank
  • Report
    • Settlement API
  1. Non Secure Payment

Non-Secure PreAuthorization Payment

Testing
Testing Env
https://provisioning.sipay.com.tr
Testing Env
https://provisioning.sipay.com.tr
POST
/ccpayment/api/paySmart2D
For detailed information, please visit the following page :

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

⚪1Failed
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://provisioning.sipay.com.tr/ccpayment/api/paySmart2D' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '[
    {
        "cc_holder_name": "John Doe",
        "cc_no": "string",
        "expiry_month": 0,
        "expiry_year": 0,
        "cvv": 0,
        "currency_code": "string",
        "installments_number": 0,
        "invoice_id": 0,
        "invoice_description": "string",
        "name": "string",
        "surname": "string",
        "total": 0,
        "merchant_key": "string",
        "hash_key": "string",
        "items": "string",
        "cancel_url": "string",
        "return_url": "string",
        "is_commission_from_user": true,
        "commission_by": "string",
        "bill_address1": "string",
        "bill_address2": "string",
        "bill_city": "string",
        "bill_postcode": "string",
        "bill_state": "string",
        "bill_country": "string",
        "bill_email": "string",
        "bill_phone": "string",
        "card_program": "string",
        "ip": "string",
        "metadata": "string",
        "sale_web_hook_key": "string",
        "app_lang": "string",
        "transaction_type": "PreAuth"
    }
]'
Response Response Example
200 - Success
{
    "status_code": 100,
    "status_description": "Payment process successful",
    "data": {
        "sipay_status": 1,
        "order_no": "VP17743537462607531",
        "order_id": "VP17743537462607531",
        "invoice_id": "preauth-deneme12345",
        "sipay_payment_method": 1,
        "credit_card_no": "450803****4509",
        "transaction_type": "Pre-Authorization",
        "payment_status": 1,
        "payment_method": 1,
        "error_code": 100,
        "error": "",
        "auth_code": "P38522",
        "merchant_commission": 0.1,
        "user_commission": 0,
        "merchant_commission_percentage": 2,
        "merchant_commission_fixed": 0,
        "installment": 1,
        "amount": 5,
        "payment_reason_code": "",
        "payment_reason_code_detail": "",
        "hash_key": "731092f9125b0a94:4678:3daVYe4QTo5HfV5n48E7Cb42u2LPIY0lpz+KP+ABA5aR0NxMKsBN11yuOx9IJtdR",
        "original_bank_error_code": "",
        "original_bank_error_description": "",
        "host_reference_id": "608300512593"
    }
}
Modified at 2026-03-24 12:05:39
Previous
Non-Secure Insurance Payment
Next
3D Secure Payment
Built with